Deep learning belongs to the family of machine learning, a broad field of artificial intelligence. It is generally based on artificial neural networks with representation learning, a technique that automatically discovers feature representations from raw data. It is inspired by the biological process of neural networks and has proved its advantage over traditional machine learning algorithms in many applications. With the increase in the size of data, or with the developments in the field of big data, conventional machine learning techniques have shown their limitation in analysis with a colossal amount of data.
